## Index

### Enumeration members

- CAROUSEL
- PUBLISH

### Functions

- withChannelId

## Enumeration members

### CAROUSEL

CAROUSEL: = "GAIA::carousel"

- Defined in lib/event/EventType.ts:3

### PUBLISH

PUBLISH: = "GAIA::publish"

- Defined in lib/event/EventType.ts:2

## Functions

### withChannelId

- withChannelId(eventType: EventType, channelId?: undefined | string): string

- - Defined in lib/event/EventType.ts:7

  #### Parameters

  - ##### eventType: EventType

  - ##### Optional channelId: undefined | string

  #### Returns string

Generated using TypeDoc